It is currently Thu Jul 02, 2020 9:22 am


All times are UTC




Post new topic Reply to topic  [ 35 posts ]  Go to page 1, 2, 3, 4  Next
Author Message
 Post subject: 0.8.3 - failed to load vboxapi (32bit Windows only) [Solved]
PostPosted: Tue Jul 17, 2012 1:47 pm 
Offline

Joined: Tue Jul 17, 2012 1:34 pm
Posts: 214
GNS3 0.8.3 - failed to load vboxapi, please check your vbox insallation

Procedure:
Clean install of Windows 7 Ultimate (32bit)
Installed GNS3-0.8.3 (tried both Standalone-32 and All-In-One Installer)
Installed VirtualBox 4.1.18 (also tried v4.1.16)
Rebooted machine

Started GNS3 and began to configure and test wrappers. While testing VirtualBox wrapper on the new 0.8.3, I get the above error message.

Any ideas?


<POST EDIT>

Everything in GNS3-0.8.3 seems to work fine on OS X Lion v10.7.4 using VBOX 4.1.18

-Jason



_________________
J.Neumann, GNS3 Contributor & Forum Moderator (Minion ID: sin.zx81.1981ad)
Author: Cisco Routers for Small Business (Apress)


Last edited by Jason on Thu Jul 19, 2012 6:40 pm, edited 1 time in total.

Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Wed Jul 18, 2012 8:54 am 
Offline

Joined: Wed Jul 18, 2012 8:28 am
Posts: 1
Hi! GNS3 user here. Wanted to start a new topic about vboxapi loading problems but noticed somebody already did.

OS: Windows XP Pro SP3 (clean install)
GNS3: 0.8.1/0.8.2/0.8.3
VBox: 4.1.18

This is the behavior I get - I install GNS3 version 0.8.1 (then 0.8.2) and they load vboxapi without problems.
0.8.3, however, is unable to. For all these GNS3 installation attempts, Virtual Box installation remains the same (4.1.18). So the problem must be something other than Virtual Box installation, right?

On this forum they usually tell you to check your Virtual Box installation (install/reinstall Virtual Box after GNS3,
do "python vboxapisetup.py install"). Does not help in case with 0.8.3.

Would be greatful for some advise.


Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Thu Jul 19, 2012 12:12 pm 
Offline

Joined: Tue Jul 17, 2012 1:02 pm
Posts: 7
I have the same problem with you.

OS:Windows7 Ultimate 32Bit

When it was GNS0.8.2+VirtualBox4.1.16, everything worked well.

and when i upgrated GNS to the version 0.8.3, virtualBox test failed.

i try to upgrated VirtualBox to the version 4.1.18, it doesn't work anyway.

So maybe something was wrong with the GNS0.8.3 ?

Anyone has idea?


Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Sat Jul 21, 2012 6:19 pm 
Offline

Joined: Sat Jul 21, 2012 6:01 pm
Posts: 2
I had same problem loading vboxapi. i did everything you guys did. Nothing worked. Finally uninstalled GNS3 GNS3-0.8.3 and VB,
downloaded older GNS3-0.8.2-all-in-one installed it and reinstalled same version of VirtualBox. Now it is back in order. Apparently there is some kind of bug in 0.8.3. I can't explain it otherwise.

----------------------------------------------------------------------------------------------------------------------


I am not sure if this is related to latest release, but this is that i found on one of the forums. Problem is that Python2.7 on my Windows 7 system does not have mentioned folders and libs.

Comment by: max-k on Mon, 16 Jul 2012 15:06:47 +0000

Hi all.
There is a bug in this release.
It seems that it comes with the upstream sources files.
To make gns3 works until they correct the problem, you can edit this file :
/usr/lib/python2.7/site-packages/GNS3/Application.py (line 446)
And replace this line :
confo.vboxwrapper_path = ConfDB().get('VBox/vboxwrapper_path', Defaults.VBOXWRAPPER_DEFAULT_PATH)
By this one :
confo.vboxwrapper_path = ConfDB().get('VBox/vboxwrapper_path', unicode("/usr/local/libexec/gns3/qemuwrapper.py"))
If you want to investigate into /usr/lib/python2.7/site-packages/GNS3/Config/Defaults.py to find where is the problem and to make a patch, you are welcome.
I can integrate it in this package until it was corrected upstream

https://aur.archlinux.org/packages.php?ID=23825&comments=all


Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Mon Jul 23, 2012 12:26 am 
Offline
Site Admin

Joined: Sat Oct 11, 2008 1:41 pm
Posts: 2668
Location: Canada
Hi,

Please note that you can change vboxwrapper path in GNS3 preferences. No need to patch.

_________________
Jeremy, GNS3 Programmer & Benevolent Dictator for Life.


Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Thu Jul 26, 2012 11:16 am 
Offline

Joined: Tue Jul 17, 2012 1:02 pm
Posts: 7
grossmj wrote:
Hi,

Please note that you can change vboxwrapper path in GNS3 preferences. No need to patch.


I have make sure that the vboxwrapper path is correct in GNS3 preferences.

But it doesn't work all the same(Failed to load vboxapi).

I guess that thers isn't Python installed in my OS maybe another reason,

So i try to install Python 2.73 in my OS and Run the SDK of VirtualBox in the Directory under "VirtualBox\SDK\Install\vboxapisetup.py",

finally it shows that SDK is installed succefull because i can "print the Revision" of Vboxapi in the Python Shell,

But it's sad that it doesn't work all the same.

OS:Win7 32Bit Ulti
GNS:0.8.3
VirtualBox:4.1.18
==============
Anyone has the idea ? Thanks...


Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Thu Jul 26, 2012 7:55 pm 
Offline

Joined: Tue Jul 17, 2012 1:34 pm
Posts: 214
Okay. I've tried every tool in my, albeit limited, bag of tricks and have not successfully resolved this problem.

If you are a GNS3 user running on Microsoft Windows, and must have VBOX support (without using cloud connecitons to bring them into GNS3), then I recommend you download GNS3-0.8.2 from SourceForge, and wait for 0.8.3 to be fixed on this platform. GNS3-0.8.2 (Standalone-32/64 and the all-in-one installer) can be found at the following URL:

h**p://sourceforge.net/projects/gns-3/files/GNS3/0.8.2/

-Jason

_________________
J.Neumann, GNS3 Contributor & Forum Moderator (Minion ID: sin.zx81.1981ad)
Author: Cisco Routers for Small Business (Apress)


Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Fri Jul 27, 2012 6:00 am 
Offline

Joined: Tue Jul 17, 2012 1:02 pm
Posts: 7
Jason wrote:
Okay. I've tried every tool in my, albeit limited, bag of tricks and have not successfully resolved this problem.

If you are a GNS3 user running on Microsoft Windows, and must have VBOX support (without using cloud connecitons to bring them into GNS3), then I recommend you download GNS3-0.8.2 from SourceForge, and wait for 0.8.3 to be fixed on this platform. GNS3-0.8.2 (Standalone-32/64 and the all-in-one installer) can be found at the following URL:

h**p://sourceforge.net/projects/gns-3/files/GNS3/0.8.2/

-Jason


It seems that i have to give up though I have try my Betst.

I can't find any other reasons why virtualbox can work under GNS3 0.8.2 but GNS3 0.8.3.


Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Fri Jul 27, 2012 1:49 pm 
Offline

Joined: Thu Jul 19, 2012 3:53 am
Posts: 14
Location: DC
I'm in the same boat, uninstalled 0.8.3 and unzipped 0.8.2 standalone, everything just works. Can't wait for my 8GB ram to arrive so I can upgrade my OS to 64bit. I hope a patch comes out soon.

OS: Win7 Enterprise 32bit
GNS3: 0.8.3
VirtualBox: 4.1.18

_________________
Image
Linux GNS3-IOUVM 3.13.1-686-pae
GNS3 1 Beta 2 xfce4 3.14.15-686-pae
GNS3 1 Alpha 1/2/3/4/6 Debian 3.13-1-686-pae
GNS3 0.8.3/GNS3 0.8.5/0.8.6 Windows 7 x64


Top
 Profile  
 
 Post subject: Re: 0.8.3 - failed to load vboxapi on test
PostPosted: Tue Jul 31, 2012 2:01 pm 
Offline

Joined: Tue Jul 17, 2012 1:02 pm
Posts: 7
darkplayer wrote:
I'm in the same boat, uninstalled 0.8.3 and unzipped 0.8.2 standalone, everything just works. Can't wait for my 8GB ram to arrive so I can upgrade my OS to 64bit. I hope a patch comes out soon.

OS: Win7 Enterprise 32bit
GNS3: 0.8.3
VirtualBox: 4.1.18


So, thie problem seems to be no progress....

Is anybody in the same boat?




Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 35 posts ]  Go to page 1, 2, 3, 4  Next

All times are UTC


Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO